MWSnap

MWSnap 2.0

MWSnap is a small yet powerful Windows program for snapping (capturing) images from selected parts of the screen. Current version is capable of capturing the whole desktop, a highlighted window, an active menu, or a fixed or free rectangular part of the screen.

MWSnap is free for both commercial and non-commercial use. You are free to put the programs on a CD-ROM, but if you do so please send me a notification (and a copy of the CD, if possible.) And of course spread the program complete with all files.

MWSnap has been developed using Borland Delphi.

Selected features

  • 5 snapping modes.
  • Support for BMP, JPG, TIFF and GIF formats, with selected color depth and quality settings.
  • System-wide hotkeys.
  • Clipboard copy.
  • Printing.
  • Auto-saving.
  • Auto-start with Windows.
  • Minimizing to system tray.
  • An auto-extending list of fixed sizes, perfect for snapping images for icons and glyphs.
  • A zoom tool for magnifying selected parts of the screen.
  • A ruler tool for measuring screen objects lengths.
  • A color picker (within the zoom tool) showing screen colors with separated RGB parts.
  • Configurable user interface.
  • And more...


System requirements

Hardware requirements

MWSnap has minimal hardware requirements, It should work successfully on any hardware capable of running any 32-bit version of Windows.

Software requirements

MWSnap needs for running any version of 32-bit Windows. The program is self-contained, i.e., it does not need or depend to any system libraries, installed updates, patches etc.

I'd be thankful for reporting specifications of a system where MWSnap did not work correctly.

Home


Contacting the author

MWSnap

Copyright © 2000, 2001 Mirek Wójtowicz, Lublin, Poland
e-mail: info@mirekw.com, mirwoj@homemail.com
WWW: http://www.mirekw.com
Mirror: http://www.mirwoj.opus.chelm.pl

I appreciate and welcome any comments, enhancement requests, improvement suggestions and bug reports that you may have. I'll be also thankful for language corrections.

If you want to test new versions of my programs, just drop me an e-mail with text "I'd like to beta-test your xxx program" in the subject line.


What's new

v.2.00.0.40, 27 Nov 2001

  • A bug removed causing MWSnap in some cases to crash at startup.

v.2.00.0.39, 18 Nov 2001

  • Auto-saving after making a snap.
  • Printing with optional scaling.
  • Basic transformations: flipping and rotating.
  • Show/hide preview window (F6 while making a capture).
  • Preview box, zoom tool - an additional marker showing an exact cursor location.
  • Minimize to system tray.
  • Auto start with Windows.
  • Start in minimized mode.
  • Program documentation.
  • Ruler with scale markings on both sides.
  • Application title bar shows the name of the last saved image.
  • Other minor improvements.

v. 1.10, 01 Oct 2001

  • First public version.

v. 1.00, 12 Feb 2000

  • Initial version, for internal use only.


Frequently Asked Questions

  • 1. How does one capture menus?
  • 2. I don't like the preview box when capturing. Can I hide it?
  • 3. Can I run MWSnap from a command line, for example to capture the desktop at a specified time?
  • 4. I defined unique hot keys for different snapping modes, but they seem not to work!

1. How does one capture menus?

Menu capturing can be performed using the "Any window" mode. Open the desired menu and activate windows snapping pressing the "Any window" keyboard shortcut (usually <Ctrl+Shift+W>). Now simply move the cursor over the menu which should be recognized automatically.
Note!
If you redefine the hotkey activating "any window" capturing mode, be sure not to use <Alt> key as it causes menus to be closed.
(top)

2. I don't like the preview box when capturing. Can I hide it?

Starting with version 2.0 dynamic preview box can be activated and deactivated using the <F6> hot key.
(top)

3. Can I run MWSnap from a command line, for example to capture the desktop at a specified time?

No, not yet. This feature is already being tested and should be available soon.
(top)

4. I defined unique hot keys in MWSnap, but they seem not to work!

Did you START MWSnap? For hot keys to be active, MWSnap must be started. It can stay minimized or iconized, but must be running!
(top)


User interface

MWSnap's user interface consists of the following main components:

  • Menu
  • Toolbar
  • Capture panel
  • Preview panel
  • Status bar


Menus

Menu bar is shown at the top of the application window. It offers access to most program commands and settings. Note that many menu items contain keyboard shortcuts, displayed to the right of the command description, and pictures showing which toolbar buttons perform identical actions.

The menu is organized in the following 6 submenus:

  • File
  • Edit
  • Capture
  • View
  • Tools
  • Help

Submenu "File"

File/Save as...

Use this command to save the current captured image in any location, using any file name and picture format. The program remembers last used saving location and suggests it automatically. The command is not active if no image has been captured yet.
Note that captured images can be also auto-saved.

File/Print...

Use this command to print the current captured image to the default Windows printer. After selecting the command a dialog window appears where the user can select printing parameters and define optional headers and footers.

File/Exit

Use this command to terminate the application.

Submenu "Edit"

Edit/Copy

Use this command to put the current captured image on the Windows clipboard for later pasting into any other application. The command is not active if no image has been captured yet.

Edit/Add fixed size

Use this command to add the size of the current captured image to the list of sizes used by the fixed-size rectangle capturing command. The command is active only when the size of the captured image does not appear on the fixed sizes list.

Edit/Flip horizontally

Use this command to flip (mirror) horizontally the current captured image. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Edit/Flip vertically

Use this command to flip (mirror) vertically the current captured image. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Edit/Rotate left

Use this command to rotate the current captured image by 90 degrees counterclockwise. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Edit/Rotate right

Use this command to rotate the current captured image by 90 degrees clockwise. The result will be immediately visible in the capture panel. The command is not active if no image has been captured yet.

Submenu "Capture"

Capture/Fixed-size rectangle

Use this command to activate fixed size rectangular areas snapping. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system a rectangular frame appears on the screen. In order to capture a part of the screen the frame should be dragged to the proper location. After clicking using the left mouse button or pressing <Enter> key the image within the frame will be captured and displayed in the preview panel.

While dragging the frame the area near the cursor is additionally magnified within the zoom box for higher accuracy. Cursor keys allow pixel-wise cursor pointer movement. <F6> key allows hiding/showing the zoom box.

Capture/Area

Use this command to activate any size rectangular areas snapping. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system the user is asked to define the first, and next the second vertex of the area. After defining the second vertex, the image within the frame will be captured and displayed in the preview panel.

While defining the area the image near the cursor is additionally magnified within the zoom box for higher accuracy. Cursor keys allow pixel-wise cursor pointer movement. <F6> key allows hiding/showing the zoom box. While defining the second vertex, <Space> key allows toggling activity of the first/second vertex for eventual area adjustment.

Capture/Window

Use this command to automatically capture contents of applications' windows, or their menus. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system the user is asked to show which window he wants to capture. When the cursor is placed within a recognizable windows, its borders get highlighted. After selecting the window, its image will be captured and displayed in the preview panel.

Note that this capturing mode can be used for capturing applications' menus. In order for the menus not to disappear, the command must be invoked using its keyboard shortcut (usually <Ctrl+Shift+W>). If you redefine the hotkey activating the window capturing mode, be sure not to use <Alt> key as it causes menus to be closed.

Capture/Full desktop

Use this command to automatically capture contents of the whole desktop. After a predefined pause (usually 0.6 s) necessary for hiding MWSnap and stabilizing the system the image will be captured automatically and displayed in the preview panel.

Capture/Repeat last capture

Use this command to repeat last capturing using the same coordinates. The command is especially useful when making a series of captures of the same part of the screen that can change.

Submenu "View"

View/Picture toolbar

Use this command to show/hide the picture toolbar shown below the preview panel.

View/Capture panel

Use this command to show/hide the preview panel.

View/Status bar

Use this command to show/hide the status bar.

View/Show all

Use this command to show all user interface elements.

View/Show none

Use this command to show all user interface elements.

View/Stretch preview

Use this command to fit the captured image in the preview panel.

Submenu "Tools"

Tools/Ruler tool

Use this command to activate the ruler tool. The ruler tool can be used for measuring (in pixels) sizes of screen elements.

Tools/Zoom tool

Use this command to activate the zoom tool. The zoom tool can be used for magnifying parts of the screen, and for picking color attributes of selected pixels.

Tools/Hotkeys

Use this command to activate/deactivate and redefine MWSnap's system-wide hotkeys. System-wide hotkeys are active even if MWSnap's window has no focus, or is minimized.

Tools/Settings

Use this command to open a dialog box allowing configuring MWSnap.

Tools/Auto-saving

Use this command to activate/deactivate automatic saving of all captured images. Use the "Settings" command to define saving parameters. Current state of auto-saving is displayed in the tool tip of the "Auto-saving" button of the toolbar.

Submenu "Help"

Help/Help

Use this command to read this help.

Help/About...

Use this command to get information about the program version, contributing partners, and to contact the program's author.


Toolbars

Toolbar

The toolbar, displayed directly below the menu bar, offers quick access to most often used program options.

"Save as" command.
"Print" command.
"Capture fixed-size rectangle" command.
"Capture area" command.
"Capture window" command.
"Capture full desktop" command.
"Repeat last capture" command.
"Ruler tool" command.
"Zoom tool" command.
"Define system-wide hotkeys" command.
"Program settings" command.
"Auto-saving on/off" command.


Status bar

Status bar is displayed at the very bottom of the application's window. It's separated into two panels:

  • info panel,
  • image size panel.

Info panel shows various information during working with the program. It shows more detailed descriptions of focused user interface elements like buttons, and is used for displaying information about the program state and its last actions, like auto-saving.

Image size panel displays the size of the currently captured image. Note that if the size does not appear on the fixed sizes list, the "Add fixed size" command is active.


Preview panel

The preview panel occupies the central part of the program's window. It shows the currently captured image, and offers several basic operations on it:

"Stretch preview" command.
"Save as" command.
"Copy to clipboard" command.
"Add fixed size" command.
"Flip horizontally" command.
"Flip vertically" command.
"Rotate left" command.
"Rotate right" command.


Capture panel

The capture panel is shown in the left part of the application's window. Capture panel duplicates access to main program capturing functions making it in several cases easier.

Top 5 buttons allow selecting one of available capturing modes. The active mode is shown depressed. Below the buttons a capturing info area appears.

In case of "Fixed rectangle" capturing info area allows comfortable selection of the area size. Text fields and spin buttons allow also for adding new known sizes to the list.

In case of all other capturing modes info area displays additional information on how the capture is being performed.

To perform the activated capturing mode, press the "Snap" button at the bottom of the panel.

Note that the capture panel appearance is optional and can be hidden using the "View capture panel" command.


Performing snaps

The main function of MWSnap is performing screen captures that can be next saved, auto-saved, printed, or put on the clipboard. Current version of MWSnap offers the following capturing modes:

  • fixed-size rectangle,
  • any area,
  • a window,
  • full desktop,
  • repeat last capture.

Capturing can be invoked using the program's menu, the toolbar, the capture panel, or system-wide hot keys.


Printing

The printing dialog allows to specify several parameters for printing the current captured image.

Position

Select the proper option to define the location of the image on the sheet of paper.

Size

The controls allow selecting one of three available scaling modes.

"Original" - no scaling is performed, the image will be printed "as is".

"Scale" - enter the scaling factor to be applied to the image before printing. Values greater than 1 will magnify the printout. Values in range <0..1> will reduce it.

"Fit to page" - the image will be magnified/scaled down so that it it occupies maximum space on the printable area of the paper. Note that the image will keep its proportion.

"Smooth scaling" - check this option if you want the image to be scaled using one of available rendering methods what usually produces smoother printouts.

Page orientation

Check the desired paper orientation.

Header, footer

Check the checkboxes to enable printing a header and/or a footer on the paper. Long text fields allow to define the contents of the header and of the footer. The following templates can be used in the definition:

%d - print date (short)
%D - print date (long)
%t - print time (short)
%T - print time (long)
%x - picture width (in pixels)
%y - picture height (in pixels)
%n - file name
%p - file path

Any other text will appear as entered.


Ruler tool

The ruler tool is a simple tool for quick measuring of sizes of screen objects (in pixels.) After invoking the command a ruler similar to the one shown below appears:

The ruler can be freely dragged over the screen simply by dragging any of its points. To close the ruler tool and to return back to the program press <Esc>.

The ruler's "hole" contains a hidden functionality. When clicked, it pops up a local menu containing the following options:

Horizontal ruler

Enables the horizontal ruler (default). Shortcut: <Ctrl+H>.

Vertical ruler

Enables the vertical ruler. Shortcut: <Ctrl+V>.

Close

Closes the ruler tool. Shortcuts: <Ctrl+F4> or <Esc>.


Zoom tool

The zoom tool acts as a loupe magnifying portions of the screen. Additionally it can be used for reading the color information of selected pixels.

After invoking the command a zoom window similar to the one shown to the left appears. It shows the pixels surrounding the current cursor position, magnified by the specified factor. When the cursor is moved over the screen, the zoom window dynamically shows the new contents.

The first text line below the zoom window displays current cursor coordinates (x,y) and the zoom factor. To change the zoom factor simply press the <+> or <-> keys. Use the keys from the numeric pad for maximal comfort.

The second line displays a small panel filled with the color identical to the one found at the cursor position. To the right of the panel the color Red, Green, and Blue components are shown (in Hex.)

To place the zoom window at another position simply drag its title bar to another location.

To change the size of the zoom window use the cursor keys together with the <Ctrl> key. For example pressing <Ctrl+Right arrow> combination will make the window wider.


Program settings

Program settings are organized in 5 major tabs:

  • General
  • Snapping
  • Auto-saving
  • Fixed sizes
  • Appearance

Tab "General"

Warn at start about conflicting hotkeys

Check this option if you want to be notified about conflicting system-wide hotkeys. In case of hotkeys conflicts go to the Hotkeys configuration dialog and select unique hotkeys for items marked in red.

Start minimized

Check this option if you want MWSnap to start in minimized mode. This option is especially useful when "Autostart with Windows" option is checked.

Auto-start with Windows

Check this option if you want MWSnap to start automatically with Windows to be always available. When enabling this option, consider checking also the "Start minimized" option.

Minimize to tray

Check this option if you want minimized MWSnap to appear as a tiny icon in the system tray (where the clock is displayed) instead of a standard big button in the task bar.

Note that left-clicking MWSnap's icon in the system tray restores the program window. Right-clicking it opens a popup menu with all most often used commands.

Tab "Snapping"

Delay before snapping [ms]

Use this field to define the delay (in ms) MWSpan will wait with capturing. The delay is necessary for MWSnap to hide it's window and to refresh the display. As a rule slower computers need higher values. For 300-500MHz machines the delay of 600 ms is usually sufficient.

Hide MWSnap before snapping

Check this option if you want MWSnap's window to hide itself before capturing is performed. Uncheck the option if you want MWSnap to capture its own image :)

Auto copy snapped image to the clipboard

Check this option if you want every captured image to be automatically put on Windows clipboard. This setting is especially useful when you insert captured images directly to the word processor or an HTML editor.

Mark cursor position in snap preview

Check this option is you want to see precisely the cursor position when capturing rectangular areas. The cursor position marking makes it easier to perform precise captures, but in some cases it can be obtrusive.

Tab "Auto-saving"

Auto-saving is active

Check this option to enable the auto-saving feature of MWSnap. When the option in enabled, every captured image will be automatically saved to the specified location in the configured format, with the configured file name.

Format

Use the list to select the format for auto-saved images. Note that you can select the format only. Image parameters, like color depth, quality or transparency will be identical to those last specified when saving manually.

Save to folder

Use this field to specify the location for auto-saved images.

Prompt for each file name

Check this option if you want to be asked for the file name of each image being auto-saved.

Use this file name

Check this option if you want auto-saved images to be saved fully automatically. The field right to the option allows to specify the fixed prefix of the file name.

Auto-add numeric suffix

Check this option if you want every auto-saved image to automatically get a numeric suffix appended to the fixed part of the file name. The numeric suffix will auto-increment, like in in Snapshot_001.bmp, Snapshot_002.bmp, ...

Start at

Use this field to specify the start value for the suffixes of auto-saved images.

Go up to

Use this field to specify the end value for the suffixes of auto-saved images. Note that the count of digits in the max value defines also the length of the numerical suffix.

Tab "Fixed sizes"

Add new

Use this button to enter manually a new size to the list of fixed sizes. Note that there exists also an interactive method for specifying non-standard fixed sizes.

Delete

Use this button to delete the currently highlighted fixed size from the list.

Move up

Use this button to move the currently highlighted fixed size up. Note that last used fixed sizes are automatically put at the top of the list.

Move down

Use this button to move the currently highlighted fixed size down.

Default

Use this button to reset the set of fixed sizes to the standard list.

Tab "Appearance"

Background color

Click the field to select a color used for the preview panel background.

Ruler color

Click this field to select a color used for the ruler tool background.


Hot keys

System-wide hotkeys implemented in MWSnap make it possible to start capturing immediately without prior activating the MWSnap window. MWSnap can be hidden below other windows, or can be minimized or iconized - it will listen for its hot key combinations.

A hot key is a combination of at least 2 keys: a base key (A..Z, F1..F12) plus any set of <Alt>, <Shift>, and <Ctrl> keys. Hot keys configuration dialog allows defining custom hot keys for all capturing modes. It allows also enabling all or only selected hotkeys.

Hot keys must be unique in the whole system. In case an application has been started that uses the same combination of the keys, MWSnap will report it and deactivate the conflicting hot key. The hot keys dialog will mark such conflicting hot keys in red.

Note!
For hot keys to work MWSnap MUST be started. It doesn't have to be open on the screen - it can be minimized or iconized (minimized to the system tray).